<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbAccountOauthTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_account_oauth', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_ao_a')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('oauth_id', 'fk_ao_o')->references('id')->on('ab_oauth')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_account_oauth', function(Blueprint $table)
		{
			$table->dropForeign('fk_ao_a');
			$table->dropForeign('fk_ao_o');
		});
	}

}
